import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { LandingPageComponent } from './features/landing-page/landing-page.component';
import { AdminPageComponent } from './features/admin-page/admin-page.component';
import { UserPageComponent } from './features/user-page/user-page.component';
import { LoginPageComponent } from './features/login-page/login-page.component';
import { ViewerPageComponent } from './features/viewer-page/viewer-page.component';

const routes: Routes = [
  { path: '', component: LandingPageComponent },
  { path: 'admin', component: AdminPageComponent },
  { path: 'user', component: UserPageComponent },
  { path: 'login', component: LoginPageComponent },
  { path: 'movies', component: ViewerPageComponent },
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
