import {Component, Input} from '@angular/core';
import {Movie} from "../../../model/movie.model";
import {Review} from "../../../model/review.model";

@Component({
  selector: 'app-movie-card',
  templateUrl: './movie-card.component.html',
  styleUrls: ['./movie-card.component.css']
})
export class MovieCardComponent {
  @Input() movie!: Movie;
  @Input() reviews!: Review[];
  protected readonly Math = Math;
}
